#
# spec file for package perl-List-UtilsBy
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-List-UtilsBy
Version:        0.10
Release:        lp150.1.7
%define cpan_name List-UtilsBy
Summary:        Higher-Order List Utility Functions
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/List-UtilsBy/
Source0:        http://www.cpan.org/authors/id/P/PE/PEVANS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.400400
BuildRequires:  perl(Test::More) >= 0.88
%{perl_requires}

%description
This module provides a number of list utility functions, all of which take
an initial code block to control their behaviour. They are variations on
similar core perl or 'List::Util' functions of similar names, but which use
the block to control their behaviour. For example, the core Perl function
'sort' takes a list of values and returns them, sorted into order by their
string value. The 'sort_by' function sorts them according to the string
value returned by the extra function, when given each value.

 my @names_sorted = sort @names;

 my @people_sorted = sort_by { $_->name } @people;

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sat Jul 18 2015 coolo@suse.com
- updated to 0.10
  see /usr/share/doc/packages/perl-List-UtilsBy/Changes
  0.10    2015/07/16 19:22:00
    [CHANGES]
  * Added 'extract_first_by'
  * Updated documentation:
    + Added 'since' version to all functions
    + Use =head2 barename for nicer indexing
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.09
  see /usr/share/doc/packages/perl-List-UtilsBy/Changes
  0.09    CHANGES:
  * Added 'unzip_by'
  * Added 'nmax_by' and 'nmin_by' name aliases for 'max_by'/'min_by'
  0.08    CHANGES:
  * Ensure that 'bundle_by' passes a short list to the body function
    rather than trailing undefs
  * Better hopefully-more efficient implementation of *sort_by.
  * Removed back-compat renames of sortby etc..
* Sun May 22 2011 them4z@googlemail.com
- initial package 0.07
  * created by cpanspec 1.78.04
